> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# SetAutonomyModeAPI mirrors erdo_set_autonomy_mode: set the org's engine


> autonomy mode. Admin only (enforced by the organization service).




## OpenAPI

````yaml /api/openapi.json put /v1/autonomy-mode
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, and experiments. Authenticate with
    a Bearer API key (erdo_api_...) or scoped token (erdo_token_...).
  version: '2026-07-25'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/autonomy-mode:
    put:
      summary: |
        SetAutonomyModeAPI mirrors erdo_set_autonomy_mode: set the org's engine
      description: |
        autonomy mode. Admin only (enforced by the organization service).
      operationId: PUT:mcp.SetAutonomyModeAPI
      requestBody:
        content:
          application/json:
            schema:
              properties:
                mode:
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  mode:
                    title: |
                      Mode is one of autopilot | propose | strict.
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````